using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Targetable : MonoBehaviour {
    public Transform targetTransform;
    public string levelName;
    Animator anim;
    // Use this for initialization
    void Start()
    {
        anim = GetComponent<Animator>();
    }

    // Update is called once per frame
    void Update()
    {
        if (FakeInput.GetKeyUp(KeyCode.S))
        {
            DoSneeze();
        }
        if (FakeInput.GetKeyUp(KeyCode.D))
        {
            print("fake complete sneeze");
            SneezeCompleted();
        }
    }

    public void SneezeCompleted()
    {
        CameraController.Instance.ReportPhaseCompleted(CameraController.Phase.SNEEZE);
    }

    public void DoSneeze()
    {
        anim.SetTrigger("sneeze");
        //GameObject.Find("Cougher").GetComponent<AudioSource>().Play();
    }
}
